明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 434|回复: 3

[已解答] p批量插图问题

[复制链接]
发表于 2016-7-7 19:46 | 显示全部楼层 |阅读模式
本帖最后由 scdzwch 于 2016-7-7 20:47 编辑

(if (Setp SS (ssget ”Ⅹ” ‘((0 . “MTEXT,TEⅩT,LEADER,DIMENSION”)))) (command "ERASE“ SS “”))加到什么地方可以先删标注再包围盒   写入EXCEL  (SetVar “cmdco" 0) (command ".undo"  "be") (setq fp (open " d:/插入零件.xls" "a")) n (strcat (itoa (length file-list))) (princ filename fp)(princ "\t" fp) (princ distx fp)(princ "\t" fp) (princ disty fp)(princ "\n" fp)

;;插图到一起,来源吴所不及的插计算书源程序,自己做了修改,可多选文件,自动排列插入(colse fp) http://bbs.mjtd.com/forum.php?mod=redirect&goto=findpost&ptid=89231&pid=481612&fromuid=358682
发表于 2016-7-8 16:24 | 显示全部楼层
老实说,真没的看明白你写的是什么。我只不过瞎回复。
 楼主| 发表于 2016-7-8 17:04 来自手机 | 显示全部楼层
自贡黄明儒 发表于 2016-7-8 16:24
老实说,真没的看明白你写的是什么。我只不过瞎回复。

  (foreach filename file-list
    (progn
      (command
"_insert"
(strcat filedir "\\" filename)
(list x y 0)
scale
scale
0
      )
      (progn
(setq newen1 (entlast))
(setq obj (vlax-ename->vla-object newen1))
(vla-getboundingbox obj 'll 'ur)
(setq pt1 (vlax-safearray->list ll))
(setq pt2 (vlax-safearray->list ur))
(vl-cmdf ".rectangle" (polar pt1 -3.14 1000) pt2)
(setq newen2 (entlast))
(setq obj (vlax-ename->vla-object newen2))
(vla-put-color obj 8)看下pt2这个点在删除标注后获取,因文件夹下有些有标注,所以写出excel后外型尺寸distx disty就不对,没有标注是正确的。我也这几天领导让我搞的,主要用于激光排版,因激光切割机各品牌太多各编程软件不能共用,通用的只有cAD,并且cAD排完,每个零件还不能封闭式轮廓,要断开0.15mm.这样才能导入各编程软件中去,本人初中文化,学识不够求帮忙。
 楼主| 发表于 2016-7-11 11:51 | 显示全部楼层
明经通道高手如云不能解决问题吗?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-7-20 01:27 , Processed in 0.583484 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表